Commit 549511d2 authored by Yann Leboulanger's avatar Yann Leboulanger
Browse files

import updated files for 0.12 from 0.12 branch

parent 9bf0632b
Gajim 0.12 (17 December 2008)
* Fix text rendering in notifications
* Fix forward unread messages under Windows
* Better sessions support
* Better auto-away support
* Fix banshee support
* Quodlibet support
* Fix GSSAPI authentification
* Fix IPV4 filetransfer on Windows Vista when IPV6 is used too
* Fix caps usage
* Fix end to end encryption autonegotiation
Gajim 0.12-beta1 (11 November 2008)
* SECURITY
......
......@@ -40,6 +40,7 @@ Gajim is a GTK+ app that loves GNOME. You can do 'make' so you don't require gno
<li>D-Bus running to have gajim-remote working</li>
<li>python-dbus bindings</li>
<li>python-sexy to have clickable URLs in chat windows</li>
<li>python-kerberos to use GSSAPI authentification. Note: version1.1 or higher is required</li>
</ul>
<p>
......
gajim (0.12-1) unstable; urgency=low
* New upstream release.
* Fix coming back from suspend. Closes: #500523
* Fix menuitem shortcut. Closes: #440530
* Warn user when logs database is brocken. Closes: #447889
* Check server certificate using python-openssl. Closes: #450756
* Don't pool to get played music from Banshee. Closes: #472862
* Escape non-ascii password correcly. Closes: #495540
* Fix URL recognition. Closes: #407806
* Suggest python-kerberos for GSSAPI authentication.
* Suggest python-sexy for clickable links in chat banners.
* Recommends python-openssl instead of python-pyopenssl. Package name has
changed.
* Depends on libc6 for gtkspell.so module
* Build Gajim modules against python2.5
-- Yann Leboulanger <asterix@lagaule.org> Wed, 17 Dec 2008 10:02:52 +0100
gajim (0.11.4-1) unstable; urgency=low
* New upstream release.
......
......@@ -13,9 +13,9 @@ Vcs-Browser: http://trac.gajim.org/browser
Package: gajim
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: python (>= 2.4), python-support (>= 0.7.1), python-glade2 (>= 2.8.0), python-gtk2 (>= 2.8.0), python-pysqlite2 | python (>= 2.5), dnsutils
Recommends: dbus, python-dbus, notification-daemon, python-gnupginterface, python-pyopenssl
Suggests: python-gnome2, nautilus-sendto, avahi-daemon, python-avahi, network-manager, libgtkspell0, aspell-en, python-gnome2-desktop (>= 2.16.0), gnome-keyring
Depends: python (>= 2.4), python-support (>= 0.7.1), python-glade2 (>= 2.8.0), python-gtk2 (>= 2.8.0), python-pysqlite2 | python (>= 2.5), dnsutils, libc6
Recommends: dbus, python-dbus, notification-daemon, python-gnupginterface, python-openssl
Suggests: python-gnome2, nautilus-sendto, avahi-daemon, python-avahi, network-manager, libgtkspell0, aspell-en, python-gnome2-desktop (>= 2.16.0), gnome-keyring, python-sexy, python-kerberos (>= 1.1)
Description: Jabber client written in PyGTK
Gajim is a Jabber client. It has a tabbed user interface with normal chats,
group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,
......
......@@ -7,7 +7,7 @@ include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
PYTHONVER = 2.4
PYTHONVER = 2.5
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr
DEB_MAKE_BUILD_TARGET := all PYTHON=python$(PYTHONVER)
DEB_MAKE_INSTALL_TARGET = install PYTHON=python$(PYTHONVER) DESTDIR=$(DEB_DESTDIR)
......
......@@ -189,7 +189,7 @@ Section "Gajim" SecGajim
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayName" "Gajim"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "UninstallString" "$INSTDIR\Uninstall.exe"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayIcon" "$INSTDIR\bin\Gajim.exe"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayVersion" "0.12-beta1"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "DisplayVersion" "0.12"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Gajim" "URLInfoAbout" "http://www.gajim.org/"
WriteUninstaller "$INSTDIR\Uninstall.exe"
......
This diff is collapsed.
......@@ -35,7 +35,7 @@ from shutil import move, copy, copytree, rmtree
GTK_DIR="/Library/Frameworks/GTK+.framework/Versions/Current"
NAME = 'Gajim'
VERSION = '0.12-beta1'
VERSION = '0.12'
DESCRIPTION = 'A full featured Jabber client'
AUTHOR = 'Gajim Development Team'
URL = 'http://www.gajim.org/'
......
......@@ -71,7 +71,7 @@ opts = {
setup(
name = 'Gajim',
version = '0.12-beta1',
version = '0.12',
description = 'A full featured Jabber client',
author = 'Gajim Development Team',
url = 'http://www.gajim.org/',
......
......@@ -313,7 +313,7 @@ class Config:
'keep_alives_enabled': [ opt_bool, True],
# send keepalive every N seconds of inactivity
'keep_alive_every_foo_secs': [ opt_int, 55 ],
'time_for_keep_alive_answer': [ opt_int, 20, _('How many seconds to wait for the answer of keepalive packet before we try to reconnect.') ],
'time_for_keep_alive_answer': [ opt_int, 30, _('How many seconds to wait for the answer of keepalive packet before we try to reconnect.') ],
# try for 2 minutes before giving up (aka. timeout after those seconds)
'try_connecting_for_foo_secs': [ opt_int, 60 ],
'http_auth': [opt_str, 'ask'], # yes, no, ask
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment